| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Public Member Functions | Private Attributes
Fling::FileBrowser Class Reference

`#include <FileBrowser.h>`

## Public Member Functions
| FileBrowser (std::string t_Title="Open File...")
| ~FileBrowser ()=default
void | Display ()
| Display the actual ImGUI info here. More...
void | SetTitle (std::string t_Title)
| Set the text in the title bar of this file dialoag. More...
void | Open ()
| Opens this file dialoag next time Display is called. More...
bool | HasSelected () const
std::string | GetSelected () const
void | ClearSelected ()
bool | IsOpen () const

## Private Attributes
std::string | m_Title = "Select File..."
std::string | m_SelectedFile = std::string()
| The selected file in this dialog. More...
std::string | m_CurrentWorkingDir = std::string()
bool | m_IsOpen = false
bool | m_HasSelected = false

## Constructor & Destructor Documentation

## ◆ FileBrowser()

Fling::FileBrowser::FileBrowser | ( | std::string | t_Title = `"Open File..."` | ) |

## ◆ ~FileBrowser()

Fling::FileBrowser::~FileBrowser | ( |  | ) |
| default

## Member Function Documentation

## ◆ ClearSelected()

void Fling::FileBrowser::ClearSelected | ( |  | ) |

## ◆ Display()

void Fling::FileBrowser::Display | ( |  | ) |

Display the actual ImGUI info here.

## ◆ GetSelected()

std::string Fling::FileBrowser::GetSelected | ( |  | ) | const
| inline

## ◆ HasSelected()

bool Fling::FileBrowser::HasSelected | ( |  | ) | const
| inline

## ◆ IsOpen()

bool Fling::FileBrowser::IsOpen | ( |  | ) | const
| inline

## ◆ Open()

void Fling::FileBrowser::Open | ( |  | ) |

Opens this file dialoag next time Display is called.

## ◆ SetTitle()

void Fling::FileBrowser::SetTitle | ( | std::string | t_Title | ) |

Set the text in the title bar of this file dialoag.

## Field Documentation

## ◆ m_CurrentWorkingDir

std::string Fling::FileBrowser::m_CurrentWorkingDir = std::string()
| private

## ◆ m_HasSelected

bool Fling::FileBrowser::m_HasSelected = false
| private

## ◆ m_IsOpen

bool Fling::FileBrowser::m_IsOpen = false
| private

## ◆ m_SelectedFile

std::string Fling::FileBrowser::m_SelectedFile = std::string()
| private

The selected file in this dialog.

## ◆ m_Title

std::string Fling::FileBrowser::m_Title = "Select File..."
| private

The documentation for this class was generated from the following file:

- FlingEngine/Editor/inc/FileBrowser.h